Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.dancity.app/api/v1/esim/topup-packages \ --header 'Authorization: Bearer <token>'
{ "success": true, "message": "eSIM topup packages fetched successfully", "data": { "packages": [ { "packageCode": "NG-500MB-7D-TOP", "name": "Nigeria 500MB Top-Up", "description": "Add 500MB valid for 7 days", "price": 0.62, "currency": "USD", "volume": 524288000, "duration": 7, "type": "TOPUP", "regionCode": "NG", "priceInNaira": 1005 } ], "exchangeRate": 1620 } }
List add-on data packages for an existing eSIM using its ICCID
Merchant API key from the Dancity dashboard.
ICCID of the active eSIM (from purchase response, GET /api/v1/esim/my-esims, or GET /api/v1/esim/details/{transactionId}).
"8960000000000000001"
OK